<?php
$ids = array();
$q = array();
foreach($_POST as $key => $value) {
	if(substr($key, 0, 5)=='item_') {
		$id = str_replace('item_', '', $key);
		$ids[] = $value;
		$q[] = $_POST['quantity_'.$id];
	}
}
$xml = // Generate request to kunaki.com
"<ShippingOptions> 
	<Country>".$_POST['Country']."</Country> 
	<State_Province>" . $_POST['State_Province'] . "</State_Province> 
	<PostalCode>" . $_POST['PostalCode'] . "</PostalCode>";
for($i = 0; $i < count($ids); $i++) {
	$xml .= "
	<Product>
		<ProductId>" . $ids[$i] . "</ProductId>
		<Quantity>" . $q[$i] . "</Quantity>
	</Product>";
}
$xml .= "
	</ShippingOptions>";

$response = sendRequest($xml);
list($vals, $index) = SoapToXml($response);
$array = xmlToArray($vals);

if($array['response']['errorcode'] != 0) {
?>
<script language="JavaScript">
alert('<?=$array['response']['errortext'];?>');
history.go(-1);
</script>
<?php
	exit();
}
?>
<table border="0" cellpadding="3" cellspacing="1">
<form action="index.php?act=payment" method="post" onsubmit="return chkform(this)">
<?php
for($i = 0; $i < count($ids); $i++) {
?>
<input type="Hidden" name="item_<?=$i;?>" value="<?=$ids[$i];?>" />
<input type="Hidden" name="quantity_<?=$i;?>" value="<?=$q[$i];?>" />
<?php
}
?>
<tr>
	<td colspan="2"><strong>Shipping Options:</strong></td>
</tr>
<?php
$options = $array['response']['option'];
if(!isset($options[0])) {
	$option = $options;
	$options = array($option);
}
for($i = 0; $i < count($options); $i++) {
?>
<tr>
	<td colspan="2"><input onclick="do_write(this)" type="radio"<?=($i==0?' checked':'');?> name="ShippingDescription" value="<?=$options[$i]['description'];?>"> <?=$options[$i]['description'];?> (<?=$options[$i]['deliverytime'];?>) - $<?=$options[$i]['price'];?></td>
</tr>
<?php
}
?>
<tr>
	<td colspan="2"><strong>Shipping Information:</strong></td>
</tr>
<tr>
	<td>Full Name: </td>
	<td><input type="Text" name="Name"></td>
</tr>
<tr>
	<td>Company Name: </td>
	<td><input type="Text" name="Company"></td>
</tr>
<tr>
	<td>Address Line 1:</td>
	<td><input type="Text" name="Address1"></td>
</tr>
<tr>
	<td>Address Line 2:</td>
	<td><input type="Text" name="Address2"></td>
</tr>
<tr>
	<td>City:</td>
	<td><input type="Text" name="City"></td>
</tr>
<tr>
	<td>State:</td>
	<td><strong><?=$_POST['State_Province'];?></strong><input type="Hidden" name="State_Province" value="<?=$_POST['State_Province'];?>"></td>
</tr>
<tr>
	<td>Zip/Postal Code:</td>
	<td><strong><?=$_POST['PostalCode'];?></strong><input type="Hidden" name="PostalCode" value="<?=$_POST['PostalCode'];?>"></td>
</tr>
<tr>
	<td>Country:</td>
	<td><strong><?=$_POST['Country'];?></strong><input type="Hidden" name="Country" value="<?=$_POST['Country'];?>"></td>
</tr>
<tr>
	<td>E-mail: </td>
	<td><input type="Text" name="Email"></td>
</tr>
<tr>	
	<td colspan="2"><strong>Order Total: </strong></td>
</tr>
<tr>
	<td colspan="2" bgcolor="#e0e0e0">
	<table bgcolor="#b0b0b0" width="100%">
	<tr bgcolor="#d0d0d0">
		<td width="100%"><strong>Title</strong></td>
		<td nowrap><strong>Price</strong></td>
		<td><strong>Quantity</strong></td>
		<td><strong>Total</strong></td>
	</tr>
<?php
for ($i = 0; $i < count($items); $i++) {
	for($j = 0; $j < count($ids); $j++) {
		if($ids[$j]==$items[$i]['pid']) {
			$price = floatval($items[$i]['price']) + 1.6;
			$sub = $price * $q[$j];
?>
<tr bgcolor="#e0e0e0">
		<td><?=$items[$i]['title'];?></td>
		<td align="right">$<?=number_format($price, 2, '.','');?></td>
		<td align="right"><?=$q[$j];?></td>
		<td align="right">$<?=number_format($sub, 2, '.','');?></td>
	</tr>
<?php
			$sum+=$sub;
		}
	}
}
$total = $sum + 3 + $options[0]['price'];
?>
	<tr>
		<td colspan="3"><strong>SUBTOTAL:</strong> </td><td align="right"><strong>$<?=number_format($sum, 2, '.','');?></strong></td>
	</tr>
<?php
	if($_POST['State_Province']=='NY' && $_POST['Country'] == 'United States') {
		$tax = $sum * 0.09;
?>
	<tr bgcolor="#e0e0e0">
		<td colspan="3">NY State Sales Tax</td>
		<td align="right">$<?=number_format($tax, 2, '.','');?></td>
	</tr>
<?php
		$total += $tax;
		$sum+=$tax;
	}
?>	
	<tr bgcolor="#e0e0e0">
		<td colspan="3" id="shipping_desc">Shipping with <?=$options[0]['description'];?></td>
		<td id="shipping_price" align="right">$<?=$options[0]['price'];?></td>
	</tr>
	<tr bgcolor="#e0e0e0">
		<td colspan="3">Handling Fee</td>
		<td align="right">$3.00</td>
	</tr>
	<tr>
		<td colspan="3"><strong>Total:</strong> </td>
		<td id="tot" align="right">$<?=number_format($total, 2,'.','');?></td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="right"><input type="Submit" value="Check Out"></td>
</tr>
<input type="Hidden" name="total" value="<?=round($total,2);?>" />
</form>
</table>
<script language="JavaScript">
<!--//
function do_write(chk) {
	var sum=<?=$sum;?>;
	var options=new Array();
	var index,total,tot;
<?php
for($i = 0; $i < count($options); $i++) {
?>
	options[<?=$i;?>] = new Array('<?=$options[$i]['description'];?>','<?=$options[$i]['price'];?>');
<?php
}
?>	
	for(var i=0; i<chk.form.ShippingDescription.length; i++) {
		if(chk.form.ShippingDescription[i].checked) index=i;
	}
	document.all('shipping_desc').innerHTML='Shipping with '+options[index][0];
	document.all('shipping_price').innerHTML='$'+options[index][1];
	total=sum+3+parseFloat(options[index][1]);
	total=total*100;
	total=Math.round(total);
	total=total/100;
	tot=total.toString();
	var p=tot.indexOf('.');
	if(tot.length<p+3) tot+='0';
	
	document.all('tot').innerHTML='$'+tot;
	chk.form.total.value=total;
}

function chkform(form) {
	if(form.Name.value=='') {
		alert('Please enter your Full Name');
		return false;
	}
	if(form.Address1.value=='') {
		alert('Please enter your Address');
		return false;
	}
	if(form.City.value=='') {
		alert('Please enter your City');
		return false;
	}
	if(form.Email.value=='') {
		alert('Please enter your Email');
		return false;
	}
	return true;
}
//-->
</script>
